/************************************************************************/
/*                     	GenMacros.h		                        */
/************************************************************************/
/* SCCS INFO @(#)GenMacros.h 1.1         last modified P. Strazdins, 98/12/24
   first created: P. Strazdins 97/01
*/
/* header file for general useful C macros.
 */
 
#ifndef __GenMacros_INCL__
#define __GenMacros_INCL__

#define ABS(x) (((x)>0)? (x): -(x))
#define MIN(a, b) (((a)<(b))?(a):(b))
#define MAX(a, b) (((a)>(b))?(a):(b))
#define SWAP(type, a, b) 		\
	{type tmp_type_; tmp_type_ = (a); (a) = (b); (b) = tmp_type_;}

#ifdef __STDC__
# define STDC_PARAMS(p) p
#else
# define STDC_PARAMS(p) ()
#endif
 
#endif /*__GenMacros_INCL__*/
