/************************************************************************/
/* DILAENV: get machine depenedednt values for DLAPACK routines		*/
/************************************************************************/
/* SCCS INFO @(#)DILAENV.c 1.2         last modified P. Strazdins, 00/08/28
   first created: P. Strazdins 99/05					
*/

#ifndef FDATATYPE
# define FDATATYPE DOUBLE	/* need for MachineParams.h, value unimportant*/
#endif
#include "MachineParams.h"
#include <stdio.h>

int DILAENV (FDATAsize, DLAPACK_proc_basename, DBLAS_MachPamamsVec, B, P, Q)
  int FDATAsize; char *DLAPACK_proc_basename; int DBLAS_MachPamamsVec[], B, P, Q;
{ int w = DBLAS_MachPamamsVec==NULL? 32 /* a reasonable defualt value */: 
	  DBLAS_MachPamamsVec[PAR_INNER_VECSIZE_NUM];   	   

#if defined(ULTRA)		/* reduce size slightly for ultrasparc BLAS */
  w = 1/*(FDATAsize<=sizeof(double))*/? DBLAS_MachPamamsVec[CACHESIZE_NUM] / 4 / w:
    				 DBLAS_MachPamamsVec[CACHESIZE_NUM] / 8 / w;
#endif

  P = MAX(P, Q);
  if (P >= 1) {				/* adjust for || execution */
   int w_B = w % B,			w_BP = w % (B*P);      
#define MAX_SHFT(w) (w/4)		/* max shifting of original value w */  
#if 0
    if (B*P-w_BP <= w_BP) {
      if (B*P-w_BP <= MAX_SHFT(w))	/* try to get w | B*P */
        w += B*P-w_BP; 
    } else if (w_BP <= MAX_SHFT(w))
      w -= w_BP;  
    else
#endif 
    if (B-w_B <= w_B) {
      if (B-w_B <= MAX_SHFT(w))		/* try to get w | B */
        w += B-w_B; 
    } else if (w_B <= MAX_SHFT(w))
      w -= w_B;  
  }  

  return (w);
} /* DILAENV() */
