/************************************************************************/
/*                              Host.h 	                                */
/************************************************************************/
/* SCCS INFO %Z%%M% %I%         last modified P. Strazdins, %E%
   first created: P. Strazdins 95/09
*/
/* set up host definitions for APx000 host programs 
 */

#include <stdio.h>  
#include <stdlib.h>
#include "LogIO.h"
 
#define TID             	16

#include <chost.c7.h>
#define COMMUN(v) 		cbroad(TID, 1, &v, sizeof(v))
#define COMMUN_ARR(a, r)	cbroad(TID, 1, a, r)
#define EXTERN	
#define main host_main

#define SetupProcess(Ny, Nx, CELLPROG) \
	{ cconfxy(Ncelx, Ncely); ccreat(CELLPROG, TID, NULL); }

#define GetMsg(cid, msg, size)	\
	{ l_arecv(cid, TID, ANY_TYPE);	readmsg( msg, size ); }

#define QueryCellRecv		qrecv
#define AllCellsExit		isexit
#define CellError		iserror

#define GetMsgType		getmtype
#define ReadStrMsg(str)							\
	{ int len = getmsize(); readmsg(CellMsg, len); CellMsg[len]='\0'; }
	

				/* used by HostMsg.c */
#define STDOUT 			stdout
#define STDOUT_SETUP(Stdout)		
#define HPRINT(FPRINTF_ARGS)	fprintf FPRINTF_ARGS;
#define CELL_RECV(i, j, tid, a, size)					\
	{ r_arecv(j, i, tid, ANY_TYPE);	  readmsg(a, size);		}      

